{ config, pkgs, ... }:

{
  programs.home-manager.enable = true;

  home.username = "jordan";
  home.homeDirectory = "/home/jordan";

  home.stateVersion = "22.11";

  programs.gpg.enable = true;

  programs.zsh = {
    enable = true;
    enableCompletion = true;
  };

  home.packages = with pkgs; [
    bind
    bmon
    fd
    ffmpeg
    firefox-wayland
    fzf
    git
    iotop
    pass
    neovim
    nnn
    pass
    passExtensions.pass-otp
    ripgrep
    rsync
    tcpdump
    tokei
    tree
    yt-dlp
    wl-clipboard
    zsh-autosuggestions
    zsh-fast-syntax-highlighting
    zsh-history-substring-search
  ];
}
